html,body,div,main,article,section,footer,header,aside { display: block; box-sizing: border-box; padding:0; margin:0}


main { padding: 10px; background-color: wheat; min-height: 100vh; }
main > header { margin-bottom: 15px; }
main > section { margin: 10px 0; }

/* forms */
button,label,input,select,textarea { 
	display: block; width: 100%; box-sizing: border-box; 
	padding: 7px; border: none;  
}
input,select,textarea { background-color: white; }

label + input, label + select, label + textarea { margin-top: 5px; margin-bottom: 15px; }

button { background-color: sandybrown; color: black; border: none; cursor: pointer;}

label,summary { text-transform: uppercase; }
summary { cursor: pointer; }

details { background-color: gold; padding: 10px; }
details > summary { margin-bottom: 10px; }
details + details { margin-top: 10px; }

details.attribute { background-color: pink; }

ul.list { list-style: none; padding: 0; margin: 0; }
ul.list li { display: inline-block; margin: 0 5px; }
ul.list li:first-of-type { margin-left: 0; }
ul.list li:last-of-type { margin-right: 0; }

nav { margin: 15px 0; }

*.inline { list-style: none; padding: 0; margin: 0; display: flex; margin-top: 15px; }
*.inline > * { flex: 1; margin: 5px; }
*.inline > *:first-of-type { margin-left: 0; }
*.inline > *:last-of-type { margin-right: 0; }
*.inline > button[type="submit"] { flex: 2; }
*.inline > button.small[type="submit"] { flex: unset; width: 100px; }

form.example fieldset { border: 1px solid black; margin: 15px 0; }
form.example label { text-transform: unset; padding: 0; }
